%define anolis_release 1
%global pypi_name pre-commit
%global pypi_version 3.6.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        A framework for managing and maintaining multi-language pre-commit hooks

License:        MIT
URL:            https://github.com/pre-commit/pre-commit
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/pre_commit-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A framework for managing and maintaining multi-language pre-commit hooks.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(cfgv) >= 2
Requires:       python3dist(identify) >= 1
Requires:       python3dist(nodeenv) >= 0.11.1
Requires:       python3dist(pyyaml) >= 5.1
Requires:       python3dist(setuptools)
Requires:       python3dist(virtualenv) >= 20.10
%description -n python3-%{pypi_name}
A framework for managing and maintaining multi-language pre-commit hooks.

%prep
%autosetup -n pre_commit-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE pre_commit/resources/empty_template_LICENSE.renv
%doc README.md
%{_bindir}/pre-commit
%{python3_sitelib}/pre_commit
%{python3_sitelib}/pre_commit-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 3.6.0-1
- Initial package.